Bug 1475846 - Review Request: golang-github-nsf-termbox-go - A minimalistic API which allows programmers to write text-based user interfaces
Review Request: golang-github-nsf-termbox-go - A minimalistic API which allow...
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
Unspecified Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Peter Lemenkov
Fedora Extras Quality Assurance
:
Depends On:
Blocks: 1473314
  Show dependency treegraph
 
Reported: 2017-07-27 09:16 EDT by Robert-André Mauchin
Modified: 2017-09-30 02:13 EDT (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2017-09-10 22:25:39 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
lemenkov: fedora‑review+


Attachments (Terms of Use)

  None (edit)
Description Robert-André Mauchin 2017-07-27 09:16:31 EDT
SPEC: https://github.com/eclipseo/packaging/blob/f6de7c0/golang-github-nsf-termbox-go.spec
SRPM: https://kojipkgs.fedoraproject.org//work/tasks/208/20800208/golang-github-nsf-termbox-go-0-0.1.git4ed959e.fc27.src.rpm
Koji build: https://koji.fedoraproject.org/koji/taskinfo?taskID=20800207

Description: A minimalistic API which allows programmers to write text-based user interfaces

FAS username: eclipseo

This package is needed by rclone, bug #1473314.


I'm looking for a sponsorship.

Thanks.
Comment 4 Peter Lemenkov 2017-08-28 09:38:09 EDT
I'll review it
Comment 5 Peter Lemenkov 2017-08-28 09:40:36 EDT
REVIEW:

Legend: + = PASSED, - = FAILED, 0 = Not Applicable

+ The package is named according to the  Package Naming Guidelines.
+ The spec file name matches the base package %{name}, in the format %{name}.spec.
+ The package meets the Packaging Guidelines (it was generated by gofed utility)
+ The package is licensed with a Fedora approved license and meets the Licensing Guidelines.
+ The License field in the package spec file matches the actual license (MIT, https://opensource.org/licenses/MIT).
+ The file, containing the text of the license(s) for the package, is included as %license.
+ The spec file is written in American English.
+ The spec file for the package is legible as much as it applies to autogenerated stuff (just use gofed to regenerate it).
+ The sources used to build the package, match the upstream source, as provided in the spec URL.

Auriga ~/rpmbuild/SOURCES: sha256sum termbox-go-4ed959e.tar.gz*
bca54bd0555322b1ab94aff97dac01e2fe8efa1f7ce100bc5c7486f6c976fe0a  termbox-go-4ed959e.tar.gz
bca54bd0555322b1ab94aff97dac01e2fe8efa1f7ce100bc5c7486f6c976fe0a  termbox-go-4ed959e.tar.gz.1
Auriga ~/rpmbuild/SOURCES:

+ The package successfully compiles and builds into binary rpms on at least one primary architecture.
+ All build dependencies are listed in BuildRequires.
0 No need to handle locales.
0 No shared library files in some of the dynamic linker's default paths.
+ The package does NOT bundle copies of system libraries.
0 The package is not designed to be relocatable.
+ The package owns all directories that it creates.
+ The package does not list a file more than once in the spec file's %files listings.
+ Permissions on files are set properly.
+ The package consistently uses macros.
+ The package contains code, or permissible content.
0 No extremely large documentation files.
+ Anything, the package includes as %doc, does not affect the runtime of the application.
0 No C/C++ header files.
0 No static libraries.
0 No pkgconfig(.pc) files.
0 The package doesn't contain library files without a suffix (e.g. libfoo.so) in some of the dynamic linker's default paths.
+ The package does NOT contain any .la libtool archives.
0 Not a GUI application.
+ The package does not own files or directories already owned by other packages.
+ All filenames in rpm packages are valid UTF-8.


APPROVED.
Comment 6 Gwyn Ciesla 2017-09-01 15:15:07 EDT
(fedrepo-req-admin):  The Pagure repository was created at https://src.fedoraproject.org/rpms/golang-github-nsf-termbox-go
Comment 7 Fedora Update System 2017-09-02 10:11:35 EDT
golang-github-nsf-termbox-go-0-0.1.20170710git4ed959e.fc27 has been submitted as an update to Fedora 27. https://bodhi.fedoraproject.org/updates/FEDORA-2017-61a1a1af1b
Comment 8 Fedora Update System 2017-09-02 10:12:05 EDT
golang-github-nsf-termbox-go-0-0.1.20170710git4ed959e.fc26 has been submitted as an update to Fedora 26. https://bodhi.fedoraproject.org/updates/FEDORA-2017-9cd849c6e1
Comment 9 Fedora Update System 2017-09-02 10:12:36 EDT
golang-github-nsf-termbox-go-0-0.1.20170710git4ed959e.fc25 has been submitted as an update to Fedora 25. https://bodhi.fedoraproject.org/updates/FEDORA-2017-a6534329da
Comment 10 Fedora Update System 2017-09-03 01:24:54 EDT
golang-github-nsf-termbox-go-0-0.1.20170710git4ed959e.fc26 has been pushed to the Fedora 26 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2017-9cd849c6e1
Comment 11 Fedora Update System 2017-09-03 02:26:07 EDT
golang-github-nsf-termbox-go-0-0.1.20170710git4ed959e.fc25 has been pushed to the Fedora 25 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2017-a6534329da
Comment 12 Fedora Update System 2017-09-03 15:55:23 EDT
golang-github-nsf-termbox-go-0-0.1.20170710git4ed959e.fc27 has been pushed to the Fedora 27 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2017-61a1a1af1b
Comment 13 Fedora Update System 2017-09-10 22:25:39 EDT
golang-github-nsf-termbox-go-0-0.1.20170710git4ed959e.fc25 has been pushed to the Fedora 25 stable repository. If problems still persist, please make note of it in this bug report.
Comment 14 Fedora Update System 2017-09-11 00:20:53 EDT
golang-github-nsf-termbox-go-0-0.1.20170710git4ed959e.fc26 has been pushed to the Fedora 26 stable repository. If problems still persist, please make note of it in this bug report.
Comment 15 Fedora Update System 2017-09-30 02:13:27 EDT
golang-github-nsf-termbox-go-0-0.1.20170710git4ed959e.fc27 has been pushed to the Fedora 27 stable repository. If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.